IDshield: IAM - Task #17901
Task # 17953 (New): authzCheck(): the client-side function to do the authorization check

authz_check: code to merge groupcaps into usercaps, cache implementation
15/02/2024 10:00 AM - Sachin Divekar

Status: New Start date: 13/05/2024
Priority: Normal Due date: 13/05/2024
Assignee: Abhishek Jayswal (Tantiv4) % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Sprint 26 Apr

Description

Extend the core code to add a cache and merge groupcaps into usercaps to create effective caplists in the cache.

Related issues:

Follows IDshield: IAM - Task #17902: authz_check: core code New 10/05/2024
Precedes IDshield: IAM - Task #17900: authz_check: add trace facility New 14/05/2024 14/05/2024
History

#1 - 16/02/2024 04:53 PM - Shuvam Misra
- Assignee set to Abhishek Jayswal (Tantiv4)

#2 - 16/02/2024 04:54 PM - Shuvam Misra
- Parent task set to #17953

#3 - 16/02/2024 04:57 PM - Shuvam Misra
- Target version set to Sprint 26 Apr
- Due date set to 19/04/2024

#4 - 16/02/2024 05:03 PM - Shuvam Misra

- Follows Task #17902: authz_check: core code added
- Start date set to 15/04/2024

- Due date changed from 19/04/2024 to 15/04/2024

#5 - 16/02/2024 05:03 PM - Shuvam Misra
- Precedes Task #17900: authz_check: add trace facility added

#6 - 16/02/2024 05:05 PM - Shuvam Misra
- Start date deleted (15/04/2024)

#7 - 16/02/2024 05:07 PM - Shuvam Misra

- Description updated

#8 - 03/04/2024 06:29 PM - Shuvam Misra
- Start date set to 13/05/2024
- Due date changed from 15/04/2024 to 13/05/2024
